For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns the permissions of the currently logged-in user.
      • GETReturns all available features.
      • GETReturns all available project features.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferencePermissions

Returns the permissions of the currently logged-in user.

GET
https://api.awork.com/api/v1/me/permissions
GET
/api/v1/me/permissions
$curl https://api.awork.com/api/v1/me/permissions \
> -H "Authorization: Bearer <token>"
1{
2 "signature": "c2lnbmF0dXJl",
3 "userPermission": {
4 "userId": "123e4567-e89b-12d3-a456-426614174000",
5 "isAdmin": false,
6 "isGuest": false,
7 "roleId": "123e4567-e89b-12d3-a456-426614174000",
8 "isBlocked": false,
9 "permissions": [
10 {
11 "feature": "pmd",
12 "accessLevels": [
13 "read"
14 ]
15 }
16 ],
17 "projectRolesPermissions": [
18 {
19 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
20 "permissions": [
21 {
22 "feature": "pmd",
23 "accessLevels": [
24 "read"
25 ]
26 }
27 ]
28 }
29 ]
30 }
31}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all available features.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

OK
signaturestring or null
The signature of the user permissions. Can be verified with the HMACSHA1 algorithm and the secret.
userPermissionobject

Errors

400
Bad Request Error